/* =============================================================
Name                : Layout.css
Version             : 1.0.0
Notes               : 
> Positie lagen
> Achtergrond : 2-10
> Deuren      : 100
> Titel       : 70
> Navigatie   : 60
> Content     : 90-95
============================================================= */

html 
{
    /* Vars */
    --main-background-color: #444;
    --main-font-family-text: PERTILI, BOD, Oldengl, Arial;
    --main-font-family-input: BOD, Oldengl, Arial;
    --main-font-family-button: BOD, Oldengl, Arial;
    --main-font-size-text: 16px;
    --main-font-size-input: 17px;
    --main-title-color: #927a6b;
    --main-text-color: #B6AEAA;
    --main-link-color: #eaa63d;

    /* Interaction (btn\input\links) */
    --input-invalid-color: #e60707;
    --button-disabled-text-color: #B6AEAA;


    /* Colors */
    --color-red: #e60707;


    /* Cursors */
    --cursor-default: default;
    --cursor-grab: grab;
    --cursor-grabbing: grabbing;
    --cursor-not-allowed: not-allowed;
    --cursor-pointer: pointer;
    --cursor-progress: progress;
    --cursor-text: text;
    --cursor-wait: wait;
    --cursor-zoom-in: zoom-in;
    --cursor-zoom-out: zoom-out;

    /* default */
    background-color: var(--main-background-color);
    color: var(--main-text-color);
    font-family: var(--main-font-family-text);
    font-size: var(--main-font-size-text);
    scroll-behavior: smooth;
}

html, body { margin: 0; padding: 0; }


/*
    Default tag-elementen
*/
input, select {
    font-family: var(--main-font-family-input);
    font-size: var(--main-font-size-input);
}

a, .link {
    color: var(--main-link-color);
    text-decoration: none;
}
a:hover, .link:hover {
    text-decoration: underline;
}

/*
    Custom classes - voor styling via classes.
*/
.font_family_text { font-family: var(--main-font-family-text); }
.font_family_input { font-family: var(--main-font-family-input); }

.font_size11 { font-size: 11px; }
.font_size12 { font-size: 12px; }
.font_size13 { font-size: 13px; }
.font_size14 { font-size: 14px; }
.font_size15 { font-size: 15px; }
.font_size16 { font-size: 16px; }

.opacity_0 { opacity: 0; }
.opacity_1 { opacity: 1; }

.space_top.space_top { margin-top: 2rem; }
.space_right.space_right { margin-right: 2rem; }
.space_bottom.space_bottom { margin-bottom: 2rem; }
.space_left.space_left { margin-left: 2rem; }
.space_vertical.space_vertical { margin-top: 2rem; margin-bottom: 2rem; }
.space_horizontal.space_horizontal { margin-left: 2rem; margin-right: 2rem; }
.space_any.space_any { margin: 2rem; }


/* Unsupported container block */
.unsupported_container {
    background-color: var(--main-background-color);
    box-sizing: border-box;
    height: 100%;
    left: 0;
    padding: 1em;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 404000;
}

.unsupported_container > h2 { text-align: center; }
.unsupported_container > p { text-align: center; }

/* Geen JavaScript */
noscript, div.noscript {
    align-items: center;
    background-color: var(--main-background-color);
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    flex-direction: column;
    left: 0;
    height: 100%;
    padding: 2em;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 404004;
}

div.noscript > img {
    height: 128px;
    object-fit: cover;
    width: 128px;
}



/* Basis preloader */
.preloader_base_container {
    align-items: center;
    background-color: var(--main-background-color);
    display: flex;
    height: 100%;
    justify-content: center;
    position: fixed;
    opacity: 1.0;
    width: 100%;
    z-index: 102000;
}
.preloader_base_container.hide { animation: FadeOut 0.5s linear forwards, Behinding 0.1s linear 0.5s forwards; }

.preloader_base_container > .preloader_base {
    animation: Spin 1.5s linear infinite;
    border: 16px solid var(--main-title-color); 
    border-top: 16px solid var(--main-link-color); 
    border-radius: 50%;
    height: 64px;
    width: 64px;
}


/*  =========================================
    Sectie:  Background
=========================================  */


.background_container {
    height: 100%;
    left: 0;
    position: fixed;
    top: 0;
    opacity: 1.0;
    width: 100%;
    z-index: 2;
}

.background_container > .bglayer_base {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    height: 100%;
    position: fixed;
    width: 100%;
}

.background_container > .bglayer_moon {
    background-size: 100% 100%;
    background-position: center center;
    background-repeat: no-repeat;
    height: 160px;
    margin-left: -80px;
    margin-top: -80px;
    position: absolute;
    width: 160px;
}

.background_container > .bglayer_4 {
    background-image: url('/Images/demonic/backgrounds/Background_layer03.png');
    z-index: 4;
}
.background_container > .bglayer_3 {
    background-image: url('/Images/demonic/backgrounds/Background_moon.png');
    z-index: 5;
}
.background_container > .bglayer_2 {
    background-image: url('/Images/demonic/backgrounds/Background_layer02.png');
    z-index: 6;
}
.background_container > .bglayer_1 {
    background-image: url('/Images/demonic/backgrounds/Background_layer01.png');
    z-index: 7;
}


/*  =========================================
    Sectie:  Gates
=========================================  */

.gates_container {
    --_zlayer: 100;

    height: 100%;
    left: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: var(--_zlayer);
}
.gates_container.login { --_zlayer: 80; }

.gates {
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center center;
    height: 100%;
    position: fixed;
    top: 0;
}

.gates_container > .gate_left {
    background-image: url('/Images/demonic/gates/gates_left.webp');
    left: 0vw;
    width: 50vw;
}
.gates_container > .gate_right {
    background-image: url('/Public/Img/demonic/gates/gates_right.webp');
    right: 0vw;
    width: 50vw;
}
/* .gates-container > .gate-alpha {
    background-image: url('/Public/Img/demonic/gates/gates_alpha.png');
    left: 0;
    width: 100vw;
} */

.monster_container {
    left: 50%;
    position: fixed;
    transform: translate(-50%, -50%);
    top: 50%;
    z-index: calc(var(--_zlayer) + 3);
}

.monster {
    position: absolute;
}
.monster.eye {
    border-radius: 50%;
    box-shadow: 0px 0px 22px 18px rgb(245, 10, 10);
    height: 0px;
    margin-left: 0px;
    margin-top: 0px;
    opacity: 1.0;
    width: 0px;
}
.monster.eye.left { left: -3.3vw; top: -2vh; }
.monster.eye.right { right: -3.3vw; top: -2.3vh; }

.monster.skin {
    border-radius: 50%;
    box-shadow: 0px 0px 24px 20px rgb(245, 10, 10);
    height: 0px;
    margin-left: 0px;
    margin-top: 0px;
    opacity: 1.0;
    width: 0px;
}
.monster.skin.bottom { bottom: -43vh; }
.monster.skin.top { top: -43vh; }



/*  =========================================
    Sectie:  Header
=========================================  */


header > .box_title {
    animation: FadeIn 1.5s linear 1s forwards;
    background-image: url('/Images/demonic/UI_parts/bar_button_long2.webp');
    background-position: center center;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    color: var(--main-title-color);
    cursor: var(--cursor-default);
    font-size: 24px;
    min-height: 40px;
    left: 50%;
    padding: 54px 30px 8px;
    position: fixed;
    top: 50px;
    text-align: center;
    transform: translateX(-50%);
    opacity: 0;
    /* width: 30vw; */
    width: 630px;
    z-index: 70;
}


.settingsbar_container {
    animation: FadeIn 1.5s linear 1s forwards;
    position: fixed;
    opacity: 0;
    transition: all 0.3s linear;
    top: 0;
    right: 2rem;
    z-index: 72;
}

.settingsbar_content {
    align-items: center;
    background-image: url('/Images/demonic/UI_parts/frame_square.webp');
    background-size: 100% 100%;
    background-position: center center;
    background-repeat: no-repeat;
    background-color: #160C0D;
    box-shadow: 2px 2px 6px 1px rgba(0,0,0,0.45);
    display: flex;
    justify-content: center;
    gap: 0.25em;
    min-width: 30px;
    position: relative;
    padding: 0.3em 0.75em;
}

.settingsbar_content > button:disabled { filter: grayscale(50%); }
.settingsbar_content > button:disabled:hover { cursor: var(--cursor-not-allowed); }




/*  =========================================
    Sectie:  Navigation
=========================================  */


nav {
    animation: FadeIn 1.5s linear 1s forwards;
    bottom: 260px;
    left: 7.5vw;
    position: absolute;
    opacity: 0;
    z-index: 60;
}

nav > .linksbox_container {
    background-image: url('/Images/demonic/UI_parts/pop_up_window_b2.webp');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    min-height: 100px;
    padding: 1.5rem 1rem;
    text-align: center;
    width: 180px;
}

.linksbox_container > button {
    color: var(--main-link-color);
    display: block;
    margin-bottom: 6px;
    padding: 3px 0px;
    text-align: center;
    transition: all 0.2s ease-in-out;
    width: 100%;
}

.linksbox_container > a:hover,
.linksbox_container > button:hover
{
    background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) 30%, rgba(255,255,255,0.25) 70%, rgba(255,255,255,0) 100%);
    cursor: var(--cursor-pointer);
}

.linksbox_container > button:disabled::before {
    background-image: url('/Images/demonic/Icons_nobg/Lock_eq_icon_nb.webp');
    background-position: center center;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    content: '';
    height: 24px;
    filter: grayscale(50%);
    margin-left: -28px;
    margin-top: -1px;
    position: absolute;
    width: 28px;
}
.linksbox_container > button:disabled:hover {
    background: none;
    cursor: var(--cursor-not-allowed);
} 


/*  =========================================
    Sectie:  Main
=========================================  */


/* 
    Icons 
*/

.icons {
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
}

.icon_exit { background-image: url('/Images/demonic/Icons_nobg/Exit_eq_icon_nb.webp'); }




/*  =========================================
    Sectie:  Footer
=========================================  */

footer > .version {
    bottom: 0;
    color: rgba(207,207,207,0.6);
    font-size: 12px;
    left: 0;
    position: absolute;
    z-index: 99999;
}



/*  =========================================
    Sectie:  Media queries - responsive
=========================================  */


/* Large Desktops / TVs tot 4k */
@media screen and (max-width: 3840px) {

}


/* Laptops en Desktops */
@media screen and (max-width: 1920px) {

}


/* Laptops (13") */
@media screen and (max-width: 1366px) {

}


/* Tablets Large */
@media screen and (max-width: 1024px) {

}


/* Tablets */
@media screen and (max-width: 768px) {

}


/* Mobiel */
@media screen and (max-width: 480px) {

}


/* Mobiel klein */
@media screen and (max-width: 320px) {

}




